var app = angular.module("appViewer",['ui.router']);

app.config(function($stateProvider,$urlRouterProvider,$locationProvider){
    $locationProvider.html5Mode(true);
    $urlRouterProvider.otherwise('/index.html');
   $stateProvider
        .state('home',{
            url:'/index.html',
            templateUrl: '/templates/home.html'
        })
   .state('more',{
        url:'/more',
       params:{data:"moree"},
        templateUrl:'templates/more.html',
        controller: function($scope, $stateParams,$state) {
            $scope.car = $stateParams.data;
            $scope.onBack = function(){
                $state.go('home');
            }
        }
    });
   
 
});



app.controller('mainController',function($scope,carService,$state){
    var selectedCar;
     $scope.cars = carService.requestCarDetails(function(cars){
         $scope.cars = cars;
         $scope.desc = $scope.cars[0].desc;
         selectedCar = $scope.cars[0];
     });
    
    
    
    $scope.onSelect = function(index){
       $scope.desc= $scope.cars[index].desc;
        selectedCar = $scope.cars[index];
    }
    
    $scope.onClickMore = function(){
        $state.go("more",{data:selectedCar});
    }
    
   
});
